Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.replicator
Class Acknowledgment

    java.lang.Object
      org.jboss.messaging.core.distributed.replicator.Acknowledgment

All Implemented Interfaces:
  java.io.Serializable

public class Acknowledgment
extends java.lang.Object
implements java.io.Serializable

Version:
  `$Revision: 1.4 $` $Id: Acknowledgment.java,v 1.4 2005/12/03 04:12:30 ovidiu Exp $
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`static int` | `ACCEPTED`
`static int` | `CANCELLED`
`protected java.io.Serializable` | `messageID`
`static int` | `REJECTED`
`protected java.io.Serializable` | `replicatorOutputID`
`protected int` | `state`

Constructor Summary
`Acknowledgment(java.io.Serializable replicatorOutputID, java.io.Serializable messageID, int state)`

Method Summary
`java.io.Serializable` | `getMessageID()`
`java.io.Serializable` | `getReplicatorOutputID()`
`int` | `getState()`
`static java.lang.String` | `stateToString(int state)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REJECTED

    public static final int REJECTED

See Also:
  Constant Field Values

### ACCEPTED

    public static final int ACCEPTED

See Also:
  Constant Field Values

### CANCELLED

    public static final int CANCELLED

See Also:
  Constant Field Values

### replicatorOutputID

    protected java.io.Serializable replicatorOutputID

### messageID

    protected java.io.Serializable messageID

### state

    protected int state

Constructor Detail

### Acknowledgment

    public Acknowledgment(java.io.Serializable replicatorOutputID,
                          java.io.Serializable messageID,
                          int state)

Method Detail

### stateToString

    public static java.lang.String stateToString(int state)

### getMessageID

    public java.io.Serializable getMessageID()

### getState

    public int getState()

### getReplicatorOutputID

    public java.io.Serializable getReplicatorOutputID()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.